<?php

return [

    /**
     *
     * General translations.
     *
     */    
    'hometxt' => 'Home',
    'populartxt' => 'Popular',
    'categoriestxt' => 'Categories',
    'archivestxt' => 'Archives',
    'searchtxt' => 'Search',
    'logintxt' => 'Login',
    'logout' => 'Logout',
    'backto' => 'Back to',
    'yourpost' => 'its your post.',
    'edit' => 'Edit',
    'delete' => 'Delete',
    'save' => 'Save',
    'cancel' => 'Cancel',
    'share' => 'Share',
    'norelated' => 'No related posts found',
    'nopost' => 'No posts found',
    'addpost' => 'Add Post',
    'mpanel' => 'Member Panel',
    'mpro' => 'Profile',
    'morepost' => 'More Posts',
    'nocat' => 'No categories found',
    'previous' => 'Previous',
    'random' => 'Random',
    'next' => 'Next',
    'postcreated' => 'Post Created Successfully.',
    'postedited' => 'Post Edited Successfully.',
    'postdeleted' => 'Post Deleted!',
    'contdeleted' => 'Content Deleted!',
    'contnotdeleted' => 'Content Not Deleted.',
    'askdelete' => 'Are you sure you want to delete?',
    'askcont' => 'Content',
    'changepass' => 'Change Password',
    'loged' => 'Logged in as',
    'editby' => 'Edited by :',

    /**
     *
     * Login page translations.
     *
     */
    'login' => [
        'title'   => 'Login',
        'username' => 'Username',
        'password' => 'Password',
        'dont' => 'Dont have an account?',
        'sign' => 'Sign up',
        'button' => 'Login',
        'facebook' => 'Log in With Facebook',
        'google' => 'Sign in with Google',
        'forgot' => 'Forgot Your Password?',
        'click' => 'Click Here',
        'reset' => 'Reset Password',
        'sendpass' => 'Send Password Reset Link',
        'secure' => 'Confirm your password.',
        'verify' => 'Verify Email',
        'verifysent' => 'A new verification link has been sent to the email address you provided during registration.',
        'verifydesc' => 'Thanks for signing up! Before getting started, could you verify your email address by clicking on the link we just emailed to you? If you didnt receive the email, we will gladly send you another.',

    ],

    /**
     *
     * Sign up page & profile edit translations.
     *
     */
    'sign' => [
        'title' => 'Register',
        'name' => 'Name',
        'username' => 'Username',
        'email' => 'E-Mail Address',
        'password' => 'Password',
        'cpassword' => 'Confirm Password',
        'respass' => 'Reset Password',
        'register' => 'Register',
        'user_image' => 'User image',
        'img_help' => 'Choose File if you like to add new image or update exiting.',
        'website' => 'Website Url',
    ],

    /**
     *
     * User profile page translations.
     *
     */
    'user' => [
        'points' => 'Points',
        'level' => 'Level',
        'edit_profile' => 'Edit Profile',
        'likes' => 'Recent Likes',
        'likedby' => 'Liked By',
        'noneliked' => 'None liked yet.',
        'nofeed' => 'No Feeds Found',
        'close' => 'Close',
    ],

    /**
     *
     * User profile page translations.
     *
     */
    'comments' => [
        'comments' => 'Comments',
        'postcomment' => 'Post Comment',
        'logincomment' => 'Login to Post comments',
        'writecomment' => 'Write a comment...',
        'success' => 'Comment was successfully sent',
        'new' => 'New',
        'reply' => 'Reply',
        'deleteall' => 'Delete All',
        'sure' => 'Are you sure you want to delete this comment?',
        'notifications' => 'Notifications',
        'nonotification' => 'You dont have any notifications',
        'notdeleted' => 'All notifications are deleted !',
        'mentioned' => 'A user mentioned you on comment on this post :'
         
    ],

    /**
     *
     * Home page (After Login ) translations.
     *
     */
    'home' => [
        'title' => 'Welcome!',
        'youare' => 'You are',
        'logged' => 'Logged as Admin ! Go to',
        'admin' => 'Admin Panel',
        'addpost' => 'Add new post',
        'profile' => 'Go to profile',
        'homepage' => 'Go to home page',
        'unpublished' => 'Unpublished Posts',
        'awaiting' => 'Awaiting Approval',
        'notitle' => 'No Title',
    ],

    /**
     *
     * Add & Edit post page translations.
     *
     */
    'form' => [
        'title_add' => 'Add Post',
        'title_edit' => 'Edit Post',
        'title' => 'Title',
        'slug' => 'Slug',
        'description' => 'Description',
        'type' => 'Post Type',
        'imagepost' => 'Image Post',
        'videopost' => 'Video Post',
        'textpost' => 'Text Post',
        'upload' => 'Image Upload',
        'imgoverlay' => 'Image Overlay',
        'imgoverlay_check' => 'Yes, use image as a background.',
        'remove' => 'Remove Image',
        'uploaded' => 'Uploaded Image',
        'browse' => 'Browse..',
        'postvideo' => 'Post Video',
        'videoex' => 'Paste YouTube video url. Example : https://www.youtube.com/watch?v=eXaMplE',
        'bg' => 'Background Color',
        'more' => 'Add More',
        'addheading' => 'Add Heading',
        'addsimple' => 'Add Simple Text',
        'addeditor' => 'Add Text Editor',
        'addimage' => 'Add Image',
        'addyoutube' => 'Add YouTube Video',
        'addtweet' => 'Add Tweet',
        'addfb' => 'Add Facebook Post',
        'addinst' => 'Add Instagram Post',
        'addpin' => 'Add Pinterest Post',
        'addtiktok' => 'Add Tiktok Video',
        'submit' => 'Submit Post',
        'addex' => 'Add More Examples',
        'nofound' => 'Nothing found',
        'heading' => 'Heading',
        'heading_help' => 'Enter Header',
        'text' => 'Text',
        'text_help' => 'Enter Text',
        'editor' => 'Text Editor',
        'youtube' => 'YouTube Video',
        'youtube_help' => 'Enter Youtube URL',
        'tweet' => 'Tweet',
        'tweet_help' => 'Enter Tweet URL and press Embed',
        'embed' => 'Embed',
        'facebook' => 'Facebook Post',
        'facebook_help' => 'Enter Facebook Post URL and press Embed',
        'instagram' => 'Instagram Post',
        'instagram_help' => 'Enter Instagram Post URL and press Embed',
        'pinterest' => 'Pinterest Post',
        'pinterest_help' => 'Enter Pinterest Post URL and press Embed',
        'tiktok' => 'Tiktok Post',
        'tiktok_help' => 'Enter Tiktok URL and press Embed',
        'category' => 'Category',
        'select_category' => 'Chose Category',
        'publish' => 'Publish',
        'update' => 'Update Post',
        'processing' => 'Processing...',
        'submittxt' => 'Submit',
        'removetxt' => 'Remove',
        'file_uploading' => 'File Uploading...',
        'imguploaded' => 'Image Uploaded',
        'imgremoved' => 'Image Removed',
        'imgnot' => 'Image Couldnt Removed',
        'nopin' => 'Please enter correct pinterest URL',
        'notiktok' => 'Please enter correct tiktok URL',
        'noembed' => 'No Embed found with this URL',
    ],

     /**
     *
     * Updated translation files here:
     * When you update the script check the version number,
     * you can keep above codes and just copy below to your original file 
     * and translate it.
     *
     **/

    'new' => [
         /* version 3.0 translation */
        'dark' => 'Dark',
        'light' => 'Light',
        'userdeleted' => 'User Deleted!',
        'verified' => 'Verified',
        'posts' => 'Posts',
        'follow' => 'Follow',
        'unfollow' => 'Unfollow',
        'followers' => 'Followers',
        'nofollowers' => 'No Followers',
        'following' => 'Following',
        'nofollowing' => 'No Following',
        'cover_image' => 'Cover image',
        'coverimg_help' => 'Recommended size 1440 x 200 px',
        'img_sizehelp' => 'Recommended size 100 x 100 px',
        'userdelete' => 'Delete Account',
        'profileupdated' => 'Profile Updated',
        'facebook' => 'Facebook',
        'twitter' => 'Twitter',
        'instagram' => 'Instagram',
        'linkedin' => 'LinkedIn',
        'postpublished' => 'Posts published',
        'postunpublished' => 'Posts unpublished',
        'selectcheck' => 'Select Checkboxes!',
        'homepreference' => 'Home page preference',
        'viewallposts' => 'View all posts',
        'viewfollowingposts' => 'View posts from following',
        'mentioned' => 'mentioned you on comment on this post :',
        'userfolowed' => 'followed you',
        'userliked' => 'liked your post :',
        /* version 3.1 translation */
        'self' => 'self',
        'blank' => 'blank',
        'imagealt' => 'Image Alt',
        'link' => 'Link',
        'totalposts' => 'Total Posts',
        /* version 3.2 translation */
        'wrotecommt' => 'wrote a new comment on this post :',
    ]
];
